var express = require('express');
var router = express.Router();
var log = require('../util/log');
var mysql_wlyy = require("../repository/mysql_wlyy");
var mysql_im = require("../repository/mysql_im");

function getWlyyTables(handler) {
  mysql_wlyy.execQuery({
    "sql": "SELECT table_name FROM information_schema.TABLES",
    "args": [],
    "handler": handler
  });
}

function getImTables(handler) {
  mysql_im.execQuery({
    "sql": "SELECT table_name FROM information_schema.TABLES",
    "args": [],
    "handler": handler
  });
}

/* GET home page. */
router.get('/', function(req, res, next) {
  res.render('index', { title: 'Express' });
});

router.get('/wlyy_db.im', function(req, res, next) {
  getWlyyTables(function(err, result) {
    if (err) {
      res.send({errno: -1, errmsg: 'open wlyy db error'});
    } else {
      res.send({errno: 0, errmsg: 'open wlyy db success'});
    }
  });
});

router.get('/im_db.im', function(req, res, next) {
  getImTables(function(err, result) {
    if (err) {
      res.send({errno: -1, errmsg: 'open im db error'});
    } else {
      res.send({errno: 0, errmsg: 'open im db success'});
    }
  });
});

module.exports = router;
